For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
      • POSTCreate a Dataset
      • GETList Datasets
      • GETGet Dataset Usage
      • GETGet a Dataset
      • DELDelete a Dataset
  • Deprecated
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/datasets

Delete a Dataset

DELETE
https://api.cohere.com/v1/datasets/:id
DELETE
/v1/datasets/:id
1import cohere
2
3co = cohere.Client()
4
5# delete dataset
6co.datasets.delete("id")
1{}
Delete a dataset by ID. Datasets are automatically deleted after 30 days, but they can also be deleted manually.
Was this page helpful?
Previous

Tokenize

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "^(?!usage$).*$"

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response

A successful response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error